Summary:	Protocol for Keeping Track of Dynamically Allocated IP
Summary(pl.UTF-8):	Protokołu śledzenia dynamicznie przydzielanych adresów IP
Name:		whoson
Version:	2.05
Release:	2
License:	Public Domain
Group:		Networking
Source0:	http://downloads.sourceforge.net/whoson/%{name}-%{version}.tar.gz
# Source0-md5:	5c36fbaca0f8a618af2433fc92b3e5b2
Source1:	%{name}.init
Source2:	%{name}.conf
URL:		http://whoson.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}

%description
Simple method for Internet server programs to know if a particular
(dynamically allocated) IP address is currently allocated to a known
(trusted) user and, optionally, the identity of the said user.

%description -l pl.UTF-8
Program oraz biblioteka będące implementacją protokołu WHOSON
pozwalającego innym programom na śledzenie dynamicznie przydzielanych
IP używanych przez znanych (zaufanych) użytkowników.

%package server
Summary:	Whoson server binary and scripts
Summary(pl.UTF-8):	Plik binarny i skrypty serwera whoson
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description server
Whoson server binary and scripts.

%description server -l pl.UTF-8
Plik binarny i skrypty serwera whoson.

%package devel
Summary:	Header files and development docomentation for whoson
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla dla programistów do whosona
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is whoson development package. It includes files and development
docomentation for whoson.

%description devel -l pl.UTF-8
To jest pakiet dla programistów. Zawiera pliki nagłówkowe i
dokumentację do whosona.

%package static
Summary:	Static whoson library
Summary(pl.UTF-8):	Biblioteka statyczna whosona
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static whoson library.

%description static -l pl.UTF-8
Biblioteka statyczna whosona.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/lib/whosond}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/whosond
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

for i in wso_login wso_logout wso_query wso_version; do
	rm -f $RPM_BUILD_ROOT%{_mandir}/man3/$i.3
	echo ".so whoson.3" > $RPM_BUILD_ROOT%{_mandir}/man3/$i.3
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post server
/sbin/chkconfig --add whosond
%service whosond restart "whosond daemon"

%preun server
if [ "$1" = "0" ]; then
	%service whosond stop
	/sbin/chkconfig --del whosond
fi

%files
%defattr(644,root,root,755)
%doc README whoson.txt
%attr(755,root,root) %{_sbindir}/whoson
%attr(755,root,root) %{_libdir}/libwhoson.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwhoson.so.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/whoson.conf
%{_mandir}/man5/whoson.conf.5*
%{_mandir}/man8/whoson.8*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/whosond
%attr(754,root,root) /etc/rc.d/init.d/whosond
%dir /var/lib/whosond
%{_mandir}/man8/whosond.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwhoson.so
%{_libdir}/libwhoson.la
%{_includedir}/whoson.h
%{_mandir}/man3/whoson.3*
%{_mandir}/man3/wso_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libwhoson.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/whoson.git;a=log;h=master

* Tue Jan 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 7d38740
- verbose lib, man files, moved whosond(8) man to proper package
- full autotools regeneration

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a82d589
- ghost soname symlink
- rel 2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 61574ab
- dropped pre-cvs changelog

* Fri Oct 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 629c977
- up to 2.05

* Wed Aug 27 2008 Robert Tomasik <rotom@pld-linux.org> 58473ae
- up to 2.04

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c888344
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a9fc8d4
- converted to UTF-8

* Sun May 21 2006 Elan Ruusamäe <glen@pld-linux.org> 1b2dd00
- rel 2

* Mon Mar 13 2006 Elan Ruusamäe <glen@pld-linux.org> aa2d8fe
- use %service

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 35f32a9
- killed trailing spaces/tabs

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 0a1c6d5
- remove remnants from template.init

* Sun Oct 02 2005 darekr <darekr@pld-linux.org> d4f13a1
- strict deps, sort verify flags

* Sun Jun 12 2005 Marcin Banasiak <marcin.banasiak@gmail.com> 9b9a38f
- added URL

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 9b9d73d
- spaces->tabs
- formatting

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 3da44bb
- spelling fixes

* Wed Aug 20 2003 undefine <undefine@pld-linux.org> 1955212
- update to 2.03

* Mon Jul 07 2003 ankry <ankry@pld-linux.org> d112946
- fixed previous change

* Thu Jul 03 2003 ankry <ankry@pld-linux.org> d2751b0
- allow some actions when network is down

* Sun May 25 2003 ankry <ankry@pld-linux.org> adf0fba
- LSB conformance

* Sun May 25 2003 Michal Moskal <michal@moskal.me> ebaa3c9
- massive attack, adding Source-md5

